apiVersion: apps/v1
kind: Deployment
metadata:
  name: entityident
  labels:
    app: entityident
spec:
  replicas: 1
  selector:
    matchLabels:
      app: entityident
  strategy: {}
  template:
    metadata:
      labels:
        app: entityident
    spec:
      containers:
      - image: gcr.io/resonant-grail-307708/entityident
        imagePullPolicy: ""
        name: entityident
        ports:
        - containerPort: 5002
        resources: {}
        env:
          - name: DSE2021_SCALING
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_SCALING
          - name: DSE2021_CAR1_SV
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_CAR1_SV
          - name: DSE2021_CAR2_SV
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_CAR2_SV
          - name: DSE2021_CAR3_SV
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_CAR3_SV
          - name: DSE2021_CAR1_SD
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_CAR1_SD
          - name: DSE2021_CAR2_SD
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_CAR2_SD
          - name: DSE2021_CAR3_SD
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_CAR3_SD
          - name: DSE2021_CAR1_ST
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_CAR1_ST
          - name: DSE2021_CAR2_ST
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_CAR2_ST
          - name: DSE2021_CAR3_ST
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_CAR3_ST
          - name: DSE2021_TL1_R
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_TL1_R
          - name: DSE2021_TL2_R
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_TL2_R
          - name: DSE2021_TL3_R
            valueFrom:
              configMapKeyRef:
                name: simulation-parameters-configmap
                key: DSE2021_TL3_R
      restartPolicy: Always
      serviceAccountName: ""
      volumes: null
status: {}
